==================================================================
EditorConfig Python Core -- Process EditorConfig Files With Python
==================================================================

EditorConfig is a file format for defining file-specific coding styles and a
set of plugins that allow text editors and IDEs to read this file format.  For
more information on the EditorConfig project visit the
`EditorConfig Homepage`_. 

The EditorConfig Python Core is a Python package for locating and parsing
EditorConfig files.  This package can be used as an import by other Python code
or as a stand-alone command line program.

.. _`EditorConfig Homepage`: http://editorconfig.org

Contents:

.. toctree::
   :maxdepth: 1

   usage
   command_line_usage
   plugins
